Tagging
Tags for Buckets and Objects
Returns the tag set associated with the bucket.
To use this operation, you must have permission to perform the `GetBucketTagging` operation. By default, the bucket owner has this permission and can grant this permission to others.
`GetBucketTagging` has the following special error:
Error code: `NoSuchTagSetError`
Description: There is no tag set associated with the bucket.
IONOS CLOUD Object Storage API requests are authenticated using the AWS signature. The IONOS CLOUD Object Storage API authenticates users using a customized HTTP scheme based on a keyed-HMAC (Hash Message Authentication Code). The process of generating the proper Authorization header is somewhat involved. We recommend that you make use of a tool such as Postman.
In the Authorization tab for a request, select AWS Signature from the Type dropdown list. Specify where Postman should append your authorization data using the Add authorization data to drop-down menu.
-
If you select Request Headers, Postman populates the Headers tab with Authorization and
X-Amz-prefixed fields. -
If you select Request URL, Postman populates the Params tab with authentication details prefixed with
X-Amz-.
Note: The parameters listed below contain confidential information. We recommend using variables to keep this data secure while working in a collaborative environment.
-
For Access Key, enter your
access keydirectly in the fields or through variables for added security. -
For Secret Key, enter your
secret keydirectly in the fields or through variables for added security.
Advanced fields are optional, but Postman will attempt to generate them automatically if necessary.
-
For AWS Region, enter one of the regions (
eu-central-3) where your bucket is hosted. -
For Service Name, enter
s3. The name of the service that receives the requests. -
For Session Token, leave the field blank. This is only required when temporary security credentials are used.
The bucket name.
my-bucketSuccess
GET /{Bucket}?tagging?tagging=true HTTP/1.1
Host: s3.eu-central-3.ionoscloud.com
Authorization: YOUR_API_KEY
Accept: */*
Success
<?xml version="1.0" encoding="UTF-8"?>
<Tagging xmlns="http://s3.amazonaws.com/doc/2006-03-01/">
<TagSet>
<Tag>
<Key>Project</Key>
<Value>Project 1</Value>
</Tag>
<Tag>
<Key>Client</Key>
<Value>Client 1</Value>
</Tag>
</TagSet>
</Tagging>
Sets the tags for a bucket.
When this operation sets the tags for a bucket, it will overwrite any current tags the bucket already has. You cannot use this operation to add tags to an existing list of tags.
To use this operation, you must have permissions to perform the `PutBucketTagging` operation. The bucket owner has this permission by default and can grant this permission to others.
`PutBucketTagging` has the following special errors:
Error code: `InvalidTagError`
Description: The tag provided was not a valid tag. This error can occur if the tag did not pass input validation.
Error code: `MalformedXMLError`
Description: The XML provided does not match the schema.
Error code: `OperationAbortedError `
Description: A conflicting conditional operation is currently in progress against this resource. Please try again.
Error code: `InternalError`
Description: The service was unable to apply the provided tag to the bucket.
IONOS CLOUD Object Storage API requests are authenticated using the AWS signature. The IONOS CLOUD Object Storage API authenticates users using a customized HTTP scheme based on a keyed-HMAC (Hash Message Authentication Code). The process of generating the proper Authorization header is somewhat involved. We recommend that you make use of a tool such as Postman.
In the Authorization tab for a request, select AWS Signature from the Type dropdown list. Specify where Postman should append your authorization data using the Add authorization data to drop-down menu.
-
If you select Request Headers, Postman populates the Headers tab with Authorization and
X-Amz-prefixed fields. -
If you select Request URL, Postman populates the Params tab with authentication details prefixed with
X-Amz-.
Note: The parameters listed below contain confidential information. We recommend using variables to keep this data secure while working in a collaborative environment.
-
For Access Key, enter your
access keydirectly in the fields or through variables for added security. -
For Secret Key, enter your
secret keydirectly in the fields or through variables for added security.
Advanced fields are optional, but Postman will attempt to generate them automatically if necessary.
-
For AWS Region, enter one of the regions (
eu-central-3) where your bucket is hosted. -
For Service Name, enter
s3. The name of the service that receives the requests. -
For Session Token, leave the field blank. This is only required when temporary security credentials are used.
The bucket name.
my-bucketThe base64 encoded MD5 digest of the message (without the headers) according to RFC 1864.
Success
PUT /{Bucket}?tagging?tagging=true HTTP/1.1
Host: s3.eu-central-3.ionoscloud.com
Authorization: YOUR_API_KEY
Content-Type: application/xml
Accept: */*
Content-Length: 348
"<?xml version="1.0" encoding="UTF-8"?>
<Tagging xmlns="http://s3.amazonaws.com/doc/2006-03-01/">
<TagSet>
<Tag>
<Key>Project</Key>
<Value>Project 1</Value>
</Tag>
<Tag>
<Key>Client</Key>
<Value>Client 1</Value>
</Tag>
</TagSet>
</Tagging>
"Success
No content
Deletes the tags from the bucket.
To use this operation, you must have permission to perform the `PutBucketTagging` operation. By default, the bucket owner has this permission and can grant this permission to others.
IONOS CLOUD Object Storage API requests are authenticated using the AWS signature. The IONOS CLOUD Object Storage API authenticates users using a customized HTTP scheme based on a keyed-HMAC (Hash Message Authentication Code). The process of generating the proper Authorization header is somewhat involved. We recommend that you make use of a tool such as Postman.
In the Authorization tab for a request, select AWS Signature from the Type dropdown list. Specify where Postman should append your authorization data using the Add authorization data to drop-down menu.
-
If you select Request Headers, Postman populates the Headers tab with Authorization and
X-Amz-prefixed fields. -
If you select Request URL, Postman populates the Params tab with authentication details prefixed with
X-Amz-.
Note: The parameters listed below contain confidential information. We recommend using variables to keep this data secure while working in a collaborative environment.
-
For Access Key, enter your
access keydirectly in the fields or through variables for added security. -
For Secret Key, enter your
secret keydirectly in the fields or through variables for added security.
Advanced fields are optional, but Postman will attempt to generate them automatically if necessary.
-
For AWS Region, enter one of the regions (
eu-central-3) where your bucket is hosted. -
For Service Name, enter
s3. The name of the service that receives the requests. -
For Session Token, leave the field blank. This is only required when temporary security credentials are used.
The bucket name.
my-bucketSuccess
DELETE /{Bucket}?tagging?tagging=true HTTP/1.1
Host: s3.eu-central-3.ionoscloud.com
Authorization: YOUR_API_KEY
Accept: */*
Success
No content
Returns the tag-set of an object. You send the GET request against the tagging subresource associated with the object.
To use this operation, you must have permission to perform the `GetObjectTagging` operation. By default, the GET operation returns information about current version of an object. For a versioned bucket, you can have multiple versions of an object in your bucket. To retrieve tags of any other version, use the versionId query parameter. You also need permission for the `GetObjectVersionTagging` operation.
By default, the bucket owner has this permission and can grant this permission to others.
IONOS CLOUD Object Storage API requests are authenticated using the AWS signature. The IONOS CLOUD Object Storage API authenticates users using a customized HTTP scheme based on a keyed-HMAC (Hash Message Authentication Code). The process of generating the proper Authorization header is somewhat involved. We recommend that you make use of a tool such as Postman.
In the Authorization tab for a request, select AWS Signature from the Type dropdown list. Specify where Postman should append your authorization data using the Add authorization data to drop-down menu.
-
If you select Request Headers, Postman populates the Headers tab with Authorization and
X-Amz-prefixed fields. -
If you select Request URL, Postman populates the Params tab with authentication details prefixed with
X-Amz-.
Note: The parameters listed below contain confidential information. We recommend using variables to keep this data secure while working in a collaborative environment.
-
For Access Key, enter your
access keydirectly in the fields or through variables for added security. -
For Secret Key, enter your
secret keydirectly in the fields or through variables for added security.
Advanced fields are optional, but Postman will attempt to generate them automatically if necessary.
-
For AWS Region, enter one of the regions (
eu-central-3) where your bucket is hosted. -
For Service Name, enter
s3. The name of the service that receives the requests. -
For Session Token, leave the field blank. This is only required when temporary security credentials are used.
The bucket name.
my-bucketObject key for which to get the tagging information.
The versionId of the object for which to get the tagging information.
Success
GET /{Bucket}/{Key}?tagging?tagging=true HTTP/1.1
Host: s3.eu-central-3.ionoscloud.com
Authorization: YOUR_API_KEY
Accept: */*
Success
<?xml version="1.0" encoding="UTF-8"?>
<Tagging xmlns="http://s3.amazonaws.com/doc/2006-03-01/">
<TagSet>
<Tag>
<Key>Project</Key>
<Value>Project 1</Value>
</Tag>
<Tag>
<Key>Client</Key>
<Value>Client 1</Value>
</Tag>
</TagSet>
</Tagging>
Sets the supplied tag-set to an object that already exists in a bucket.
A tag is a key-value pair. You can associate tags with an object by sending a PUT request against the tagging subresource that is associated with the object. You can retrieve tags by sending a GET request.
Note that IONOS CLOUD Object Storage limits the maximum number of tags to 10 tags per object.
To use this operation, you must have permission to perform the `PutObjectTagging` operation. By default, the bucket owner has this permission and can grant this permission to others.
To put tags of any other version, use the `versionId` query parameter. You also need permission for the `PutObjectVersionTagging` operation.
Special Errors
Code: InvalidTagError
Cause: The tag provided was not a valid tag. This error can occur if the tag did not pass input validation.
Code: MalformedXMLError
Cause: The XML provided does not match the schema.
Code: OperationAbortedError
Cause: A conflicting conditional operation is currently in progress against this resource. Please try again.
Code: InternalError
Cause: The service was unable to apply the provided tag to the object.
IONOS CLOUD Object Storage API requests are authenticated using the AWS signature. The IONOS CLOUD Object Storage API authenticates users using a customized HTTP scheme based on a keyed-HMAC (Hash Message Authentication Code). The process of generating the proper Authorization header is somewhat involved. We recommend that you make use of a tool such as Postman.
In the Authorization tab for a request, select AWS Signature from the Type dropdown list. Specify where Postman should append your authorization data using the Add authorization data to drop-down menu.
-
If you select Request Headers, Postman populates the Headers tab with Authorization and
X-Amz-prefixed fields. -
If you select Request URL, Postman populates the Params tab with authentication details prefixed with
X-Amz-.
Note: The parameters listed below contain confidential information. We recommend using variables to keep this data secure while working in a collaborative environment.
-
For Access Key, enter your
access keydirectly in the fields or through variables for added security. -
For Secret Key, enter your
secret keydirectly in the fields or through variables for added security.
Advanced fields are optional, but Postman will attempt to generate them automatically if necessary.
-
For AWS Region, enter one of the regions (
eu-central-3) where your bucket is hosted. -
For Service Name, enter
s3. The name of the service that receives the requests. -
For Session Token, leave the field blank. This is only required when temporary security credentials are used.
The bucket name.
my-bucketName of the object key.
The versionId of the object that the tag-set will be added to.
The base64 encoded MD5 digest of the message (without the headers) according to RFC 1864.
Success
{"VersionId":"null"}PUT /{Bucket}/{Key}?tagging?tagging=true HTTP/1.1
Host: s3.eu-central-3.ionoscloud.com
Authorization: YOUR_API_KEY
Content-Type: application/xml
Accept: */*
Content-Length: 348
"<?xml version="1.0" encoding="UTF-8"?>
<Tagging xmlns="http://s3.amazonaws.com/doc/2006-03-01/">
<TagSet>
<Tag>
<Key>Project</Key>
<Value>Project 1</Value>
</Tag>
<Tag>
<Key>Client</Key>
<Value>Client 1</Value>
</Tag>
</TagSet>
</Tagging>
"Success
<?xml version="1.0"?>
<object>
<VersionId>null</VersionId>
</object>
Removes the entire tag set from the specified object.
To use this operation, you must have permission to perform the `DeleteObjectTagging` operation.
To delete tags of a specific object version, add the `versionId` query parameter in the request. You will need permission for the `DeleteObjectVersionTagging` operation.
IONOS CLOUD Object Storage API requests are authenticated using the AWS signature. The IONOS CLOUD Object Storage API authenticates users using a customized HTTP scheme based on a keyed-HMAC (Hash Message Authentication Code). The process of generating the proper Authorization header is somewhat involved. We recommend that you make use of a tool such as Postman.
In the Authorization tab for a request, select AWS Signature from the Type dropdown list. Specify where Postman should append your authorization data using the Add authorization data to drop-down menu.
-
If you select Request Headers, Postman populates the Headers tab with Authorization and
X-Amz-prefixed fields. -
If you select Request URL, Postman populates the Params tab with authentication details prefixed with
X-Amz-.
Note: The parameters listed below contain confidential information. We recommend using variables to keep this data secure while working in a collaborative environment.
-
For Access Key, enter your
access keydirectly in the fields or through variables for added security. -
For Secret Key, enter your
secret keydirectly in the fields or through variables for added security.
Advanced fields are optional, but Postman will attempt to generate them automatically if necessary.
-
For AWS Region, enter one of the regions (
eu-central-3) where your bucket is hosted. -
For Service Name, enter
s3. The name of the service that receives the requests. -
For Session Token, leave the field blank. This is only required when temporary security credentials are used.
The bucket name.
my-bucketThe key that identifies the object in the bucket from which to remove all tags.
The versionId of the object that the tag-set will be removed from.
Success
{"VersionId":"null"}DELETE /{Bucket}/{Key}?tagging?tagging=true HTTP/1.1
Host: s3.eu-central-3.ionoscloud.com
Authorization: YOUR_API_KEY
Accept: */*
Success
<?xml version="1.0"?>
<object>
<VersionId>null</VersionId>
</object>
Last updated
Was this helpful?